<?php
require_once("../includes/clase_sesion.php");
$sesion = new sesion(); // inicio la sesion
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
$sesion->set('permiso', permisos($_POST['privilegio']));

require_once("../includes/lib_lenguaje.php");
$cleguaje = new cLanguage();

if (!comprobar_sesion()) {
    mensaje($cleguaje->Phrase('global', 'ses_cad'), $cleguaje->Phrase('project', 'institucion'));
    exit;
}

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST, AC_CONN_USER, AC_CONN_PASS, AC_CONN_DB . "" . $sesion->get('anio'));
//echo $sesion->get("permiso"); 
$permiso = str_split($sesion->get("permiso"));
?>

<script  type="text/javascript">

    $(document).ready(function() {
        var opc_hoja = '0', opc_prints = 'view', objGrupo = $("#txtgrupo"), bandera = false;

        var tmplBusq = {"groupOp": "OR", "rules": [{"field": "apellido1_est", "op": "cn", "data": ""}]};

        var grilla = jQuery("#listado_estudiantes").jqGrid({
            height: 300,
            width: 995,
            url: 'mod_certificados/list_estudiantes.php',
            datatype: "json",
            hidegrid: false,
            rowNum: 30,
            postData: {t: 1},
            rowList: [15, 30, 50],
            pager: '#pager_estudiantes',
            sortname: 'apellido1_est',
            viewrecords: true,
            sortorder: "asc",
            scrollrows: true,
            caption: '<?php echo $cleguaje->Phrase('estudiantes', 'titulogrilla') ?>',
            toolbar: [true, "top"],
            multiselect: true,
            colNames: [
                '<?php echo $cleguaje->getField('global', 'num_doc') ?>',
                '<?php echo $cleguaje->getField('global', 'tip_doc') ?>',
                '<?php echo $cleguaje->Phrase('global', 'nom_ape') ?>',
                '<?php echo $cleguaje->getField('global', 'pri_ape') ?>',
                '<?php echo $cleguaje->getField('global', 'seg_ape') ?>',
                '<?php echo $cleguaje->getField('global', 'pri_nom') ?>',
                '<?php echo $cleguaje->getField('global', 'seg_nom') ?>',
                'Jornada',
                'Grupo',
                '<?php echo $cleguaje->getField('global', 'activo') ?>',
                '<?php echo $cleguaje->Phrase('estudiantes', 'matriculado') ?>',
                'codigo_grupo', 'educacion'
            ], 
            colModel: [
                {name: 'numedocumento_est', index: 'numedocumento_est', resizable: false, width: 120, frozen: true, searchoptions: {
                        sopt: ['eq', 'ne', 'cn', 'nc', 'bw', 'bn']
                    }, searchrules: {
                        required: true,
                        number: true
                    }
                },
                {name: 'nom_tipoiden', index: 'nom_tipoiden', resizable: false, width: 140, frozen: true, searchoptions: {
                        sopt: ['eq', 'ne', 'cn', 'nc', 'bw', 'bn']
                    },
                },
                {name: 'nom_ape', index: 'nom_ape', resizable: false, width: 250, search: false, frozen: true},
                {name: 'apellido1_est', index: 'apellido1_est', width: 200, hidden: true, searchoptions: {searchhidden: true}},
                {name: 'apellido2_est', index: 'apellido2_est', width: 200, hidden: true, searchoptions: {searchhidden: true}},
                {name: 'nombre1_est', index: 'nombre1_est', width: 200, hidden: true, searchoptions: {searchhidden: true}},
                {name: 'nombre2_est', index: 'nombre2_est', width: 200, hidden: true, searchoptions: {searchhidden: true}},
                {name: 'jornada', index: 'jornada', width: 130, search: false},
                {name: 'grupo', index: 'grupo', width: 150, search: false},
                {name: 'estado_est', index: 'estado_est', resizable: false, width: 60, align: 'center', stype: 'select',
                    searchoptions: {
                        sopt: ['eq', 'ne'],
                        value: {'1': 'Si', '0': 'No'}
                    }
                },
                {name: 'matriculado', index: 'matriculado', resizable: false, width: 90, align: 'center', stype: 'select',
                    searchoptions: {
                        value: {'S': 'Si', 'N': 'No'},
                        sopt: ['eq', 'ne']
                    }
                },
                {name: 'codgrupo', index: 'codgrupo', width: 1, hidden: true, search: false},
                {name: 'educacion', index: 'educacion', width: 1, hidden: true, search: false},
            ],
            loadComplete: function() {
                cambiar_iconos('pager_estudiantes');
                if (objGrupo.val() == '0x') {
                    $('.cbox').attr('disabled', true);
                    grilla.setGridParam({'multiboxonly': true})
                    bandera = false;
                } else {
                    $('.cbox').removeAttr('disabled');
                    grilla.setGridParam({'multiboxonly': false})
                    bandera = true;
                }
            },
            shrinkToFit: false,
        })

        jQuery("#listado_estudiantes").jqGrid('navGrid', '#pager_estudiantes', {add: false, edit: false, del: false}, {}, {}, {}, {
            multipleSearch: true,
            "tmplNames": ["Primer Apellido", ],
            "tmplFilters": [tmplBusq],
            tmplLabel: 'Plantillas Busqueda',
            modal: false,
            resize: false,
            width: "auto",
        });

        jQuery("#listado_estudiantes").jqGrid('setGroupHeaders', {
            useColSpanStyle: true,
            groupHeaders: [
                {startColumnName: 'numedocumento_est', numberOfColumns: 6, titleText: '<em>Información personal</em>'},
                {startColumnName: 'estado_est', numberOfColumns: 4, titleText: '<em><?php echo $cleguaje->Phrase('estudiantes', 'info_academica') ?></em>'}
            ]
        });

        jQuery("#listado_estudiantes").jqGrid('setFrozenColumns');

        function loadViewPrints(url, param, titulo) {
            if (opc_prints == 'view') {
                $.fn.colorbox({
                    href: url + param,
                    iframe: true,
                    title: titulo,
                    height: '90%',
                    width: '60%',
                });
            } else {
                window.open(url + param, titulo, "location=1,status=1,scrollbars=1, width=800,height=600");
            }
        }
console.log("xx - pasooooooxxx ");
<?php if (in_array("P", $permiso)) { ?>
            coloca_boton({
                id: 'btn_certificado',
                elem: "t_listado_estudiantes",
                buttonicon: 'icon-print',
                title: "Constancias de matrícula",
                caption: "Constancia de matrícula",
                onClickButton: function() {
                    var estsel = grilla.getGridParam("selrow");
					console.log("xx - "+estsel)
                    if (estsel != null) {
						
                        var datosest = grilla.getRowData(estsel);
						console.log(datosest);
                        if (/Si/.test(datosest.matriculado)) {
                            if (bandera)
                                estsel = grilla.getGridParam("selarrrow").join('|')
                            var param = '?codest=' + estsel;
                            param += '&codgrupo=' + datosest.codgrupo;
                            param += '&tipohoja=' + opc_hoja;
                            param += '&tipoprint=' + opc_prints;
                            param += '&nomgrado=' + datosest.grupo;
                            param += '&educacion=' + datosest.educacion;
                            param += '&formato_doc=cons_mat';

                            loadViewPrints('mod_certificados/view_print_certi_notas_inicio.php', param, 'Certificado de notas')

                        } else {
                            jAlert("Estudiante no matriculado", dtsLang['project']['institucion']);
                        }
                    } else {
                        jAlert(dtsLang['constancias']['selrec'], dtsLang['project']['institucion']);
                    }
                }
            });
            coloca_boton({
                id: 'btn_certificado_est',
                elem: "t_listado_estudiantes",
                buttonicon: 'icon-print',
                title: "Constancia de estudios",
                caption: "Constancia de estudios",
                onClickButton: function() {
                    var estsel = grilla.getGridParam("selrow");
                    if (estsel != null) {
                        var datosest = grilla.getRowData(estsel);
                        if (/Si/.test(datosest.matriculado)) {
                            if (bandera)
                                estsel = grilla.getGridParam("selarrrow").join('|')
                            var param = '?codest=' + estsel;
                            param += '&codgrupo=' + datosest.codgrupo;
                            param += '&tipohoja=' + opc_hoja;
                            param += '&tipoprint=' + opc_prints;
                            param += '&nomgrado=' + datosest.grupo;
                            param += '&educacion=' + datosest.educacion;
                            param += '&formato_doc=cons_est';

                            loadViewPrints('mod_certificados/view_print_certi_notas_inicio.php', param, 'Certificado de notas')

                        } else {
                            jAlert("Estudiante no matriculado", dtsLang['project']['institucion']);
                        }
                    } else {
                        jAlert(dtsLang['constancias']['selrec'], dtsLang['project']['institucion']);
                    }
                }
            });

            //----------------------------
            coloca_boton({
                id: 'btn_cert_notas',
                elem: "t_listado_estudiantes",
                buttonicon: 'icon-print',
                title: "Certificado de notas",
                caption: "Certificado de notas",
                onClickButton: function() {
                    var estsel = grilla.getGridParam("selrow");
                    if (estsel != null) {
                        var datosest = grilla.getRowData(estsel);
                        if (/Si/.test(datosest.matriculado)) {
                            if (bandera)
                                estsel = grilla.getGridParam("selarrrow").join('|')
                            var param = '?codest=' + estsel;
                            param += '&codgrupo=' + datosest.codgrupo;
                            param += '&tipohoja=' + opc_hoja;
                            param += '&tipoprint=' + opc_prints;
                            param += '&nomgrado=' + datosest.grupo;
                            param += '&educacion=' + datosest.educacion;

                            loadViewPrints('mod_certificados/view_print_certi_notas_inicio.php', param, 'Certificado de notas')

                        } else {
                            jAlert("Estudiante no matriculado", dtsLang['project']['institucion']);
                        }
                    } else {
                        jAlert(dtsLang['constancias']['selrec'], dtsLang['project']['institucion']);
                    }
                }
            });
            
            coloca_boton({
                id: 'btn_reg_academico',
                elem: "t_listado_estudiantes",
                buttonicon: 'icon-print',
                title: "Registro Académico",
                caption: "Registro Académico",
                onClickButton: function() { 
                    var estsel = grilla.getGridParam("selrow");
                    if (estsel != null) {
                        var datosest = grilla.getRowData(estsel);
                        if (/Si/.test(datosest.matriculado)) {
                            if (bandera)
                                estsel = grilla.getGridParam("selarrrow").join('|')
                            var param = '?codest=' + estsel;
                            param += '&codgrupo=' + datosest.codgrupo;
                            param += '&tipohoja=' + opc_hoja;
                            param += '&tipoprint=' + opc_prints;
                            param += '&nomgrado=' + datosest.grupo;
                            param += '&educacion=' + datosest.educacion;
                            param += '&formato_doc=reg_academico';
                            loadViewPrints('mod_certificados/view_print_certi_notas_inicio.php', param, 'Certificado de notas')

                        } else {
                            jAlert("Estudiante no matriculado", dtsLang['project']['institucion']);
                        }
                    } else {
                        jAlert(dtsLang['constancias']['selrec'], dtsLang['project']['institucion']);
                    }
                }
            });

    <?php
}
?>


        $("#txtsedes,#txtjornadas,#txtgrupo").attr("disabled", "disabled")
        $("#txtver").change(function() {
            if ($(this).val() == 1) {
                jQuery("#listado_estudiantes").jqGrid('setGridParam', {postData: {'t': '1'}})

                $("#txtsedes,#txtjornadas,#txtgrupo").attr("disabled", "disabled")
                jQuery("#listado_estudiantes").jqGrid('setGridParam', {
                    url: "mod_estudiantes/list_estudiantes.php",
                    page: 1
                }).trigger("reloadGrid");
            } else {
                jQuery("#listado_estudiantes").jqGrid('setGridParam', {postData: {'t': '2'}})
                busqueda();
                $("#txtsedes,#txtjornadas,#txtgrupo").removeAttr("disabled")

            }
        })
        $("#txtsedes").change(function() {
            cd_sede = $(this).val();

            if (cd_sede != '0x') {
                $.post("includes/cargar_selec_normal.php", {
                    codigo: 'a20',
                    cod_cnds: cd_sede,
                    grb: ''
                }, function(dt) {
                    $("#txtjornadas").html(dt)
                    busqueda()
                })

                $.post("mod_estudiantes/cargar_selec_grupos.php", {
                    sede: cd_sede,
                }, function(dt) {
                    $("#txtgrupo").html(dt)
                })
            } else {

                $("#txtgrupo").html("<option value='0x'>Seleccionar...</option>")
                $.post("includes/cargar_selec_normal.php", {
                    codigo: 'a20',
                    cod_cnds: '',
                    grb: ''
                }, function(dt) {
                    $("#txtjornadas").html(dt)
                    busqueda()
                })
            }
        });

        $("#txtgrupo").change(function() {
            $("#nomGrupo").text($("option:selected", this).parent()[0].label)
            busqueda()
        });

        $("#txtjornadas").change(function() {
            cd_jor = $(this).val();
            if (cd_jor != '0x')
                cn = "cod_jornada=" + cd_jor;
            else
                cn = '';
            $.post("mod_estudiantes/cargar_selec_grupos.php", {
                sede: cd_sede,
                cmpcnd: cn,
            }, function(dt) {
                $("#txtgrupo").html(dt)
                busqueda();
            })

        });

        busqueda = function() {
            jQuery("#grid_id").jqGrid('setGridParam', {postData: {'key': 'val'}})

            jQuery("#listado_estudiantes").jqGrid('setGridParam', {
                page: 1,
                postData: {
                    sede: $("#txtsedes").val(),
                    grupo: $("#txtgrupo").val(),
                    jornada: $("#txtjornadas").val()
                }
            }).trigger("reloadGrid");

        }
        // ----------------------
        $('#gen_reporte').button();

        $("#ob_r_cnfhoja").buttonset().change(function() {
            opc_hoja = $(":checked", this).val();
        });
        $("#ob_r_print").buttonset().change(function() {
            opc_prints = $(":checked", this).val();
        });
    });

</script>
<table align="center">
    <tr>
        <td>
            <table>
                <tr clas class="tit1">
                    <td><?php echo $cleguaje->Phrase('global', 'mostrar') ?></td>
                    <td><?php echo $cleguaje->getField('global', 'name_sede') ?></td>
                    <td><?php echo $cleguaje->getField('global', 'name_jornada') ?></td>
                    <td><?php echo $cleguaje->getField('global', 'grupos') ?>&nbsp;<span class="text4" id="nomGrupo"></span></td>
                </tr>
                <tr>
                    <td><select name="txtver" id="txtver" class="campos">
                            <option value="1">Todos los estudiantes</option>
                            <option value="2">Solo matriculados</option>
                        </select></td>
                    <td>
                        <select name="txtsedes" class="campos" id="txtsedes" style="width:250px" >
                            <?php
                            $cmps = "cod_sede, initcap(nom_sede) as 'nom_sede'";
                            $ord = 'ORDER BY cod_sede ASC';
                            $tabla = "adm_sedes";
                            $cmpcnd = "";
                            $default = '';
                            mostrar_cont_selec($cmps, $tabla, $cmpcnd, $ord, $default, false, '', 0);
                            ?>
                        </select></td>
                    <td><select name="txtjornadas" class="campos" id="txtjornadas" style="width:160px">
                            <option value="0x">Seleccionar...</option>
                            <?php
                            $sql = "SELECT DISTINCT pag_estudiantes_adm.cod_jornada, pag_estudiantes_adm.nom_jornada FROM
    pag_estudiantes_adm     INNER JOIN aux_jornadas  ON (pag_estudiantes_adm.cod_jornada = aux_jornadas.cod_jornada) ORDER BY aux_jornadas.orden;";
                            $academia->instruccion($sql);
                            while ($reg = $academia->extraer_registro()) {
                                echo "<option value='" . $reg['cod_jornada'] . "'>" . $reg['nom_jornada'] . "</option>";
                            }
                            $academia->liberar();
                            ?>
                        </select></td>
                    <td><select name="txtgrupo" class="campos" id="txtgrupo" style="width:160px">
                            <option value="0x">Seleccionar...</option>
                        </select></td>
                </tr>
            </table>
            <table align="center">
                <tr>
                    <td colspan="2" class="ui-widget-header">Configuración</td>
                </tr>
                <tr>
                    <td>
                        <div id="ob_r_cnfhoja">
                            <input name="ob_tamano" type="radio" id="ob_tamano1"  value="0" checked="checked"/>
                            <label for="ob_tamano1">Carta</label>
                            <input type="radio" name="ob_tamano" id="ob_tamano2" value="1"/>
                            <label for="ob_tamano2">Oficio</label>
                        </div>
                    </td>
                    <td >
                        <div id="ob_r_print">
                            <input name="opc_prints" type="radio" id="opc_prints1"  value="print"/>
                            <label for="opc_prints1">Imprimir</label>
                            <input type="radio" name="opc_prints" id="opc_prints2" value="view" checked="" />
                            <label for="opc_prints2">Ver</label>
                        </div>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <table id="listado_estudiantes"></table>
            <div id="pager_estudiantes"></div>
        </td></tr>
</table>

<?php
$academia->cerrar();
?>
